postcss-plugin-px2rem

v0.8.1

A plugin for PostCSS that generates rem units from multi units.

MIT
Latest version published 3 years ago
    npm install postcss-plugin-px2rem
  

Package Health Score

42 / 100
Make sure the packages you're using are safe to use
Secure my Project

Popularity

Small

Weekly Downloads (6,942)

Download trend
Dependents
242
GitHub Stars
151
Forks
27
Contributors
3

Direct Usage Popularity

Occasionally

The npm package postcss-plugin-px2rem receives a total of 6,942 downloads a week. As such, we scored postcss-plugin-px2rem popularity level to be Small.

Based on project statistics from the GitHub repository for the npm package postcss-plugin-px2rem, we found that it has been starred 151 times, and that 242 other projects in the ecosystem are dependent on it.

Downloads are calculated as moving averages for a period of the last 12 months, excluding weekends and known missing data points.

Security

Security review needed
Powered by Snyk

Security and license risk for significant versions

All Versions
Popular

Version

Release Date

06/2016
06/2016
02/2017
12/2018

Direct Vulnerabilities

0.5.0
  • 0
    C
  • 0
    H
  • 0
    M
  • 0
    L
0.6.0
  • 0
    C
  • 0
    H
  • 0
    M
  • 0
    L
0.7.0
  • 0
    C
  • 0
    H
  • 0
    M
  • 0
    L
Popular
0.8.1
  • 0
    C
  • 0
    H
  • 0
    M
  • 0
    L

Indirect Vulnerabilities

0.5.0
0.6.0
0.7.0
Popular
0.8.1

License Risk

0.5.0
  • 0
    H
  • 0
    M
  • 0
    L
0.6.0
  • 0
    H
  • 0
    M
  • 0
    L
0.7.0
  • 0
    H
  • 0
    M
  • 0
    L
Popular
0.8.1
  • 0
    H
  • 0
    M
  • 0
    L
All security vulnerabilities belong to production dependencies of direct and indirect packages.

License
MIT

Security Policy
No

We found a way for you to contribute to the project! Looks like postcss-plugin-px2rem is missing a security policy.


You can connect your project's repository to Snyk to stay up to date on security alerts and receive automatic fix pull requests.

    # Install the Snyk CLI and test your project
npm i snyk -g && snyk test postcss-plugin-px2rem
Fix it in your project with Snyk!

Maintenance

Inactive

Commit Frequency

No Recent Commits
Open Issues
9
Open PR
1
Last Release
3 years ago
Last Commit
3 years ago

Further analysis of the maintenance status of postcss-plugin-px2rem based on released npm versions cadence, the repository activity, and other data points determined that its maintenance is Inactive.

An important project maintenance signal to consider for postcss-plugin-px2rem is that it hasn't seen any new versions released to npm in the past 12 months, and could be considered as a discontinued project, or that which receives low attention from its maintainers.

In the past month we didn't find any pull request activity or change in issues status has been detected for the GitHub repository.

Community

Limited
Readme.md
Yes
Contributing.md
No
Code of Conduct
No
Contributors
3
Funding
No

This project has seen only 10 or less contributors.

We found a way for you to contribute to the project! Looks like postcss-plugin-px2rem is missing a Code of Conduct.


Embed Package Health Score Badge

package health: 42/100 package health 42/100

Package

Node.js Compatibility
not defined

Age
5 years
Dependencies
1 Direct
Versions
6
Install Size
11.3 kB
Dist-tags
1
# of Files
5
Maintainers
1
TS Typings
No

postcss-plugin-px2rem has more than a single and default latest tag published for the npm package. This means, there may be other tags available for this package, such as next to indicate future releases, or stable to indicate stable releases.